[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# IsWild

Check whether a string matches a wildcard search expression.

## Declaration

Source position: strutils.pp line 161

`function IsWild(`
`InputStr: String;`
`Wilds: String;`
`IgnoreCase: Boolean`
`):Boolean;`

## Arguments

`InputStr` |  | String to search
`Wilds` |  | Wildcard specification
`IgnoreCase` |  | Search case insensitive or not.

## Function result

True if the string matches the wildcard specification, False otherwise.

## Description

IsWild checks InputStr for the presence of the Wilds string. Wilds may contain "?" and "*" wildcard characters, which have their usual meaning: "*" matches any series of characters, possibly empty. "?" matches any single character. The function returns True if a string is found that matches Wilds, False otherwise.

If IgnoreCase is True, the non-wildcard characters are matched case insensitively. If it is False, case is observed when searching.

## Errors

None.

## See also

SearchBuf |  | Search a buffer for a certain string.
FindPart |  | Search for a substring in a string, using wildcards.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.